<!doctype html><html lang=en><title>防止运营商DNS劫持和HTTP流量篡改 - L.E.R Space</title><meta charset=utf-8><meta name=viewport content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no"><meta http-equiv=x-ua-compatible content="IE=edge"><meta name=Keywords content="LER0ever,L.E.R,荣懿,Yi Rong,rongyi,blog,博客,L.E.R Space,etasry,Portus"><meta name=Description content="welcome to my new site using Lumos"><link rel=manifest href=/manifest.json><link rel="shortcut icon" href=/favicon.ico><script>
if (self != top) {
  top.location=this.location.href;
}
</script><link rel=stylesheet href=/css/bundle.css><link rel=stylesheet href=/css/hody-icons.css><link rel=stylesheet href=/css/hljs-dracula.css><link rel=stylesheet href=/css/style.css><link rel=stylesheet href=/fonts/fonts.css><link rel=stylesheet href=/search/css/search.css><div id=loader><div class=centrize><div class=v-center><div id=mask><svg class="preloader-icon" width="34" height="38" viewbox="0 0 34 38"><path class="preloader-path" stroke-dashoffset="0" d="M29.437 8.114 19.35 2.132c-1.473-.86-3.207-.86-4.68.0L4.153 8.114C2.68 8.974 1.5 10.56 1.5 12.28v11.964c0 1.718 1.22 3.306 2.69 4.165l10.404 5.98c1.47.86 3.362.86 4.834.0l9.97-5.98c1.472-.86 2.102-2.45 2.102-4.168V12.28c0-1.72-.59-3.306-2.063-4.166z"/></svg></div></div></div></div><div id=wrapper><nav id=navbar><div class=navbar-wrapper><div class=container><div class=logo><a href=/><h2 class=logo-text>L.E.R Space</h2></a></div><div class=menu-extras><div class=menu-item><div class=open-search-form><a href id=searchbtn><i class=hc-search></i></a></div></div><div class=menu-item><div class=nav-toggle><a class=menu-toggle href=#><div class=hamburger><div class=hamburger-box><div class=hamburger-inner></div></div></div></a></div></div></div><div id=navigation><ul class="navigation-menu nav"><li class=menu-item><a href=/>主页</a><li class=menu-item><a href=/about>关于我</a><li class=menu-item><a href=/blog>博客</a><li class=menu-item><a href=/links>链接</a><li class=menu-item><a href=/contact>联系</a><li class=menu-item><a href=/projects>软件</a><li class=menu-item><a href=/cos>图像后期</a><li class=menu-item><a href=/sheets>乐谱分享</a><li class=menu-item><a href=/archive>归档</a><li class="menu-item-has-children last-elements"><a href=/en target=_blank><i class=hc-globe></i></a><ul class=submenu><li><a href=/ target=_blank>简体中文</a><li><a href=/en target=_blank>English</a></ul></ul></div></div></div></nav><section class="page-title parallax-section"><div class=row-parallax-bg><div class=parallax-wrapper><div class=parallax-bg><img src=/media/posts/macandnotebook.jpg alt></div></div><div class=parallax-overlay></div></div><div class=centrize><div class=v-center><div class=container><div class=single-post-info><h6><span><i class=hc-clock></i>Posted on</span>
<span class=post-time>July 6, 2016</span>
<span>in <a href=/category/%e7%bd%91%e7%ab%99%e8%bf%90%e7%bb%b4.html>网站运维</a></span></h6><div class="title text-center"><h1>防止运营商DNS劫持和HTTP流量篡改</h1></div><div class=post-author><img src=/media/author.jpg alt><a href=#>by LER0ever</a></div></div></div></div></div></section><section><div class=container><div class=row><div class=col-md-8><article class=post-single><div class=post-body><p>大清的运营商由于××原因肆无忌惮劫持用户流量。如下图右下角</p><p><em>图挂了</em><p>图源网络（恩，背景交代完了。）<h3>普通用户防劫持方法：</h3>不要怂，直接跑到工信部官网投诉整个中国电信，说清楚网络被劫持了，再提下篡改用户网络流量是违法的，过不了几天，电信里有个专门处理投诉的电话会打给你，大概意思就是你们家的网络不会再推广告了。地址 <a href=http://www.chinatcc.gov.cn:8080/cms/shensus/>http://www.chinatcc.gov.cn:8080/cms/shensus/</a><h3>如果你是站长：</h3>电信网络劫持目前最常用的手段就是给你整个网页套一层iframe然后它在外面加广告。所以只需要javascript判断顶层网页地址和当前页面地址是否相同，如果不相同就是被劫持了，控制页面手动刷新一次即可解决。</p><p>js代码（注释可以去掉，但是为了气场推荐保留）：<pre><code class=language-javascript>
&lt;!-- Fuck DNS Hijacking --&gt;
&lt;script&gt;
if (self != top) {
     top.location=this.location.href;
}
&lt;/script&gt;
</code></pre>把如上的代码加到html的head内即可解决。<h3>然而目前电信升级了方法。</h3>大概16年6月份开始电信已经会手动改网页了，如果不是https传输的话哪怕你用上面的方法也会被劫持。所以分享一个Lets Encrypt全站HTTPS的Nginx配置以及自动续签证书的脚本。<pre class="lang:default decode:true">force_ssl.conf:

<p>server {
        listen 80;
        server_name www.etasry.ml etasry.ml;
        return 301 <a href=https://etasry.ml$request_uri>https://etasry.ml$request_uri</a>;</pre>自动续签的待我找找脚本放哪了。。<p>&nbsp;<p>未完，待续。</div><hr><div class=post-tags></div></article></div><div class="col-md-3 col-md-offset-1"><div id=sidebar><div class=widget><h5>搜索</h5><form class=searchform action=/><input class=form-control type=search required name=s placeholder="Tap or double `Alt` to search ..." id=searchbox></form></div><div class=widget><h5>文章大纲</h5><div class=textwidget><p><a href=http://www.chinatcc.gov.cn:8080/cms/shensus/#%e6%99%ae%e9%80%9a%e7%94%a8%e6%88%b7%e9%98%b2%e5%8a%ab%e6%8c%81%e6%96%b9%e6%b3%95%ef%bc%9a%0a%e4%b8%8d%e8%a6%81%e6%80%82%ef%bc%8c%e7%9b%b4%e6%8e%a5%e8%b7%91%e5%88%b0%e5%b7%a5%e4%bf%a1%e9%83%a8%e5%ae%98%e7%bd%91%e6%8a%95%e8%af%89%e6%95%b4%e4%b8%aa%e4%b8%ad%e5%9b%bd%e7%94%b5%e4%bf%a1%ef%bc%8c%e8%af%b4%e6%b8%85%e6%a5%9a%e7%bd%91%e7%bb%9c%e8%a2%ab%e5%8a%ab%e6%8c%81%e4%ba%86%ef%bc%8c%e5%86%8d%e6%8f%90%e4%b8%8b%e7%af%a1%e6%94%b9%e7%94%a8%e6%88%b7%e7%bd%91%e7%bb%9c%e6%b5%81%e9%87%8f%e6%98%af%e8%bf%9d%e6%b3%95%e7%9a%84%ef%bc%8c%e8%bf%87%e4%b8%8d%e4%ba%86%e5%87%a0%e5%a4%a9%ef%bc%8c%e7%94%b5%e4%bf%a1%e9%87%8c%e6%9c%89%e4%b8%aa%e4%b8%93%e9%97%a8%e5%a4%84%e7%90%86%e6%8a%95%e8%af%89%e7%9a%84%e7%94%b5%e8%af%9d%e4%bc%9a%e6%89%93%e7%bb%99%e4%bd%a0%ef%bc%8c%e5%a4%a7%e6%a6%82%e6%84%8f%e6%80%9d%e5%b0%b1%e6%98%af%e4%bd%a0%e4%bb%ac%e5%ae%b6%e7%9a%84%e7%bd%91%e7%bb%9c%e4%b8%8d%e4%bc%9a%e5%86%8d%e6%8e%a8%e5%b9%bf%e5%91%8a%e4%ba%86%e3%80%82%e5%9c%b0%e5%9d%80%20http%3a%2f%2fwww.chinatcc.gov.cn%3a8080%2fcms%2fshensus%2f%0a%e5%a6%82%e6%9e%9c%e4%bd%a0%e6%98%af%e7%ab%99%e9%95%bf%ef%bc%9a%0a%e7%94%b5%e4%bf%a1%e7%bd%91%e7%bb%9c%e5%8a%ab%e6%8c%81%e7%9b%ae%e5%89%8d%e6%9c%80%e5%b8%b8%e7%94%a8%e7%9a%84%e6%89%8b%e6%ae%b5%e5%b0%b1%e6%98%af%e7%bb%99%e4%bd%a0%e6%95%b4%e4%b8%aa%e7%bd%91%e9%a1%b5%e5%a5%97%e4%b8%80%e5%b1%82iframe%e7%84%b6%e5%90%8e%e5%ae%83%e5%9c%a8%e5%a4%96%e9%9d%a2%e5%8a%a0%e5%b9%bf%e5%91%8a%e3%80%82%e6%89%80%e4%bb%a5%e5%8f%aa%e9%9c%80%e8%a6%81javascript%e5%88%a4%e6%96%ad%e9%a1%b6%e5%b1%82%e7%bd%91%e9%a1%b5%e5%9c%b0%e5%9d%80%e5%92%8c%e5%bd%93%e5%89%8d%e9%a1%b5%e9%9d%a2%e5%9c%b0%e5%9d%80%e6%98%af%e5%90%a6%e7%9b%b8%e5%90%8c%ef%bc%8c%e5%a6%82%e6%9e%9c%e4%b8%8d%e7%9b%b8%e5%90%8c%e5%b0%b1%e6%98%af%e8%a2%ab%e5%8a%ab%e6%8c%81%e4%ba%86%ef%bc%8c%e6%8e%a7%e5%88%b6%e9%a1%b5%e9%9d%a2%e6%89%8b%e5%8a%a8%e5%88%b7%e6%96%b0%e4%b8%80%e6%ac%a1%e5%8d%b3%e5%8f%af%e8%a7%a3%e5%86%b3%e3%80%82><i class=hc-code-working></i>&nbsp; 普通用户防劫持方法：
不要怂，直接跑到工信部官网投诉整个中国电信，说清楚网络被劫持了，再提下篡改用户网络流量是违法的，过不了几天，电信里有个专门处理投诉的电话会打给你，大概意思就是你们家的网络不会再推广告了。地址 http://www.chinatcc.gov.cn:8080/cms/shensus/
如果你是站长：
电信网络劫持目前最常用的手段就是给你整个网页套一层iframe然后它在外面加广告。所以只需要javascript判断顶层网页地址和当前页面地址是否相同，如果不相同就是被劫持了，控制页面手动刷新一次即可解决。</a><br><a href=https://etasry.ml$request_uri#%e7%84%b6%e8%80%8c%e7%9b%ae%e5%89%8d%e7%94%b5%e4%bf%a1%e5%8d%87%e7%ba%a7%e4%ba%86%e6%96%b9%e6%b3%95%e3%80%82%0a%e5%a4%a7%e6%a6%8216%e5%b9%b46%e6%9c%88%e4%bb%bd%e5%bc%80%e5%a7%8b%e7%94%b5%e4%bf%a1%e5%b7%b2%e7%bb%8f%e4%bc%9a%e6%89%8b%e5%8a%a8%e6%94%b9%e7%bd%91%e9%a1%b5%e4%ba%86%ef%bc%8c%e5%a6%82%e6%9e%9c%e4%b8%8d%e6%98%afhttps%e4%bc%a0%e8%be%93%e7%9a%84%e8%af%9d%e5%93%aa%e6%80%95%e4%bd%a0%e7%94%a8%e4%b8%8a%e9%9d%a2%e7%9a%84%e6%96%b9%e6%b3%95%e4%b9%9f%e4%bc%9a%e8%a2%ab%e5%8a%ab%e6%8c%81%e3%80%82%e6%89%80%e4%bb%a5%e5%88%86%e4%ba%ab%e4%b8%80%e4%b8%aaLets%20Encrypt%e5%85%a8%e7%ab%99HTTPS%e7%9a%84Nginx%e9%85%8d%e7%bd%ae%e4%bb%a5%e5%8f%8a%e8%87%aa%e5%8a%a8%e7%bb%ad%e7%ad%be%e8%af%81%e4%b9%a6%e7%9a%84%e8%84%9a%e6%9c%ac%e3%80%82%0aforce_ssl.conf%3a%0a%0aserver%20%7b%0a%20%20%20%20%20%20%20%20listen%2080%3b%0a%20%20%20%20%20%20%20%20server_name%20www.etasry.ml%20etasry.ml%3b%0a%20%20%20%20%20%20%20%20return%20301%20https%3a%2f%2fetasry.ml%24request_uri%3b%0a%e8%87%aa%e5%8a%a8%e7%bb%ad%e7%ad%be%e7%9a%84%e5%be%85%e6%88%91%e6%89%be%e6%89%be%e8%84%9a%e6%9c%ac%e6%94%be%e5%93%aa%e4%ba%86%e3%80%82%e3%80%82><i class=hc-code-working></i>&nbsp; 然而目前电信升级了方法。
大概16年6月份开始电信已经会手动改网页了，如果不是https传输的话哪怕你用上面的方法也会被劫持。所以分享一个Lets Encrypt全站HTTPS的Nginx配置以及自动续签证书的脚本。
force_ssl.conf:
server {
listen 80;
server_name www.etasry.ml etasry.ml;
return 301 https://etasry.ml$request_uri;
自动续签的待我找找脚本放哪了。。</a><br></div></div><div class=widget><h5>近期文章</h5><ul><li><a href=/2018/11/5/rszmfdd.html>人，是怎么废掉的</a><li><a href=/2018/8/25/build-jiri-for-windows.html>Build jiri for Windows</a><li><a href=/2018/8/24/remember-1000-words-a-day.html>一天记忆1000个GRE单词</a><li><a href=/2018/4/16/get-ostep.html>Download and stitch together OSTEP book</a><li><a href=/2018/4/7/gcj2018.html>谷歌代码酱GCJ2018</a><li><a href=/2018/4/5/fast-sorting.html>高性能排序算法</a><li><a href=/2018/2/19/linux-programming-with-vs.html>Visual Studio下开发Linux程序</a><li><a href=/2018/2/11/2018-spring-festival-gala.html>麦迪逊2018狗年春晚</a><li><a href=/2018/1/15/20-years-into-the-world.html>我的前20年</a><li><a href=/2017/12/27/sudoku-in-vim.html>在Vim中愉快地玩数独</a></ul></div><div class=widget><h5>分类</h5><a href=/category/Dark%20Magic.html><i class=hc-albums></i>&nbsp; Dark Magic</a>(1)<br><a href=/category/GRE.html><i class=hc-albums></i>&nbsp; GRE</a>(1)<br><a href=/category/Go.html><i class=hc-albums></i>&nbsp; Go</a>(2)<br><a href=/category/Linux.html><i class=hc-albums></i>&nbsp; Linux</a>(3)<br><a href=/category/Qt.html><i class=hc-albums></i>&nbsp; Qt</a>(1)<br><a href=/category/Rust.html><i class=hc-albums></i>&nbsp; Rust</a>(1)<br><a href=/category/Vim.html><i class=hc-albums></i>&nbsp; Vim</a>(1)<br><a href=/category/%e4%ba%ba%e5%b7%a5%e6%99%ba%e8%83%bd.html><i class=hc-albums></i>&nbsp; 人工智能</a>(1)<br><a href=/category/%e4%ba%ba%e7%94%9f%e9%9a%8f%e7%ac%94.html><i class=hc-albums></i>&nbsp; 人生随笔</a>(2)<br><a href=/category/%e4%bc%9a%e8%ae%ae.html><i class=hc-albums></i>&nbsp; 会议</a>(1)<br><a href=/category/%e5%bc%80%e5%8f%91%e7%8e%af%e5%a2%83.html><i class=hc-albums></i>&nbsp; 开发环境</a>(3)<br><a href=/category/%e6%99%ba%e8%83%bd%e5%ae%b6%e5%ba%ad.html><i class=hc-albums></i>&nbsp; 智能家庭</a>(1)<br><a href=/category/%e6%b7%b1%e5%ba%a6%e5%ad%a6%e4%b9%a0.html><i class=hc-albums></i>&nbsp; 深度学习</a>(2)<br><a href=/category/%e6%b8%b8%e8%ae%b0.html><i class=hc-albums></i>&nbsp; 游记</a>(1)<br><a href=/category/%e7%9b%b8%e5%86%8c.html><i class=hc-albums></i>&nbsp; 相册</a>(3)<br><a href=/category/%e7%ae%97%e6%b3%95.html><i class=hc-albums></i>&nbsp; 算法</a>(5)<br><a href=/category/%e7%bd%91%e7%ab%99%e8%bf%90%e7%bb%b4.html><i class=hc-albums></i>&nbsp; 网站运维</a>(5)<br><a href=/category/%e9%bb%91%e9%ad%94%e6%b3%95.html><i class=hc-albums></i>&nbsp; 黑魔法</a>(3)<br></div><div class=widget><h5>热门标签</h5><div class=tagcloud><a href=/tags/ACM/GCJ.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; ACM/GCJ</a>
<a href=/tags/AlphaGo.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; AlphaGo</a>
<a href=/tags/CNNs.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; CNNs</a>
<a href=/tags/CSSA.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; CSSA</a>
<a href=/tags/Fuchsia.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Fuchsia</a>
<a href=/tags/GRE.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; GRE</a>
<a href=/tags/Go.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Go</a>
<a href=/tags/Israfil.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Israfil</a>
<a href=/tags/Linux.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Linux</a>
<a href=/tags/Lumos.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Lumos</a>
<a href=/tags/PokemonGo.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; PokemonGo</a>
<a href=/tags/Portus.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Portus</a>
<a href=/tags/Rust.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Rust</a>
<a href=/tags/Scrawler.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Scrawler</a>
<a href=/tags/Sudoku.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Sudoku</a>
<a href=/tags/UW-Madison.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; UW-Madison</a>
<a href=/tags/Vim.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Vim</a>
<a href=/tags/Visual%20Studio.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Visual Studio</a>
<a href=/tags/Vocabulary.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; Vocabulary</a>
<a href=/tags/WSL.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; WSL</a>
<a href=/tags/jiri.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; jiri</a>
<a href=/tags/%e4%bc%9a%e8%ae%ae.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 会议</a>
<a href=/tags/%e6%8a%80%e6%9c%af%e6%80%a7%e6%b3%84%e6%84%a4.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 技术性泄愤</a>
<a href=/tags/%e6%97%a0%e7%97%85%e5%91%bb%e5%90%9f.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 无病呻吟</a>
<a href=/tags/%e6%98%8e%e5%b0%bc%e8%8b%8f%e8%be%be.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 明尼苏达</a>
<a href=/tags/%e6%99%ba%e8%83%bd%e5%ae%b6%e5%ba%ad.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 智能家庭</a>
<a href=/tags/%e6%b8%b8%e8%ae%b0.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 游记</a>
<a href=/tags/%e7%88%ac%e8%99%ab.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 爬虫</a>
<a href=/tags/%e8%87%aa%e7%94%b1%e8%bd%af%e4%bb%b6.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 自由软件</a>
<a href=/tags/%e8%bd%ac%e8%bd%bd.html style=font-size:8pt><i class=hc-pricetag></i>&nbsp; 转载</a></div></div></div></div></div></div></section><section id=comment><script src=/js/ddisqus.js></script><section class=grey-bg><div class=container><div id=disqus_thread></div><div id=load-disqus style=text-align:center><button class="btn btn-color" onclick='disqus.boot("l-e-r-space-cn");'>加载/发表评论</button></div><noscript>Please enable JavaScript to view the <a href=https://disqus.com/?ref_noscript rel=nofollow>comments
powered by Disqus.</a></noscript></div></section></section><footer id=footer><div class=footer-widgets><div class=container><div class=row><div class="col-md-3 col-sm-6"><div class=widget><figure class="footer-logo mb-15"><p class=footer-logo-text>L.E.R Space</figure><div class=textwidget><p><img src=/media/misc/uw-crest.svg width=20 alt>
University of Wisconsin - Madison<br>939A Lucky Apartments,<br>777 University Avenue,<br>Madison, WI 53715<p>i+space@rongyi.io<br>+1 (419)-777-9939</div></div></div><div class="col-md-2 col-sm-6"><div class=widget><h5>页面</h5><div class=menu-footer><ul><li><a href=/about.html>关于我</a><li><a href=/contact.html>联系</a><li><a href=/projects.html>软件</a><li><a href=/sheets.html>乐谱分享</a><li><a href=/posts/1>博客</a></ul></div></div></div><div class="col-md-2 col-sm-6"><div class=widget><h5>Meta</h5><div class=menu-footer><ul><li><a href=/feed.xml>RSS 订阅</a><li><a href=/sitemap.xml>网站地图</a><li><a href=/portus.html>Portus 状态</a><li><a href=/license.html>法律信息</a></ul></div></div></div><div class="col-md-5 col-sm-6"><div class=widget><h5>网站信息</h5><div class=menu-footer><p>本站由<b>在下</b>编写的 <a href=/portus.html>Portus Engine 1.3.8</a> 强力驱动<p>部署源 <b>[everette@LER0ever-Desktop-Manjaro]</b><p>托管于 <b>Hostker</b> 和 <b>Netlify</b><p>本站已持续运行<b id=time-dnum>...</b>天<b id=time-hnum>...</b>小时<p>站点内容采用 <a href=https://creativecommons.org/licenses/by-nc-nd/4.0/deed.zh target=_blank>知识共享署名-非商业性使用-禁止演绎 4.0 国际许可协议</a> 进行许可<img style=height:20px src=/media/footer/by-nc-nd.svg><p><a target=_blank href="http://www.beian.gov.cn/portal/registerSystemInfo?recordcode=32050702010247" style=display:inline-block;text-decoration:none;height:20px;line-height:20px><img src=/media/footer/sgwab.png style=float:left>苏公网安备 32050702010247号</a></p><script>
        var now = new Date(); 
        function createtime(){ 
          var grt= new Date("07/25/2013 21:51:00");
          now.setTime(now.getTime()+250); 
          days = (now - grt ) / 1000 / 60 / 60 / 24; dnum = Math.floor(days); 
          hours = (now - grt ) / 1000 / 60 / 60 - (24 * dnum); hnum = Math.floor(hours); 
          document.getElementById("time-dnum").innerHTML = dnum;
          document.getElementById("time-hnum").innerHTML = hnum;
        }
        
        createtime();
      </script></div></div></div></div></div></div><div class=footer-copy><div class=container><div class=row><div class=col-sm-6><ul class=social-list><li class=social-item-linkedin><a target=_blank href=http://www.linkedin.com/in/LER0ever/><i class=hc-linkedin></i></a><li class=social-item-facebook><a target=_blank href=https://www.facebook.com/LER0ever><i class=hc-facebook></i></a><li class=social-item-twitter><a target=_blank href=https://twitter.com/LER0ever><i class=hc-twitter></i></a><li class=social-item-github><a target=_blank href=https://github.com/LER0ever><i class=hc-github></i></a><li class=social-item-telegram><a target=_blank href=https://t.me/LER0ever><i class=hc-paper-plane></i></a></ul></div><div class=col-sm-6><div class=copy-text><p>版权所有 © 2013 - 2019 LER0ever 保留所有权利。</div></div><div id=toTop><i class=hc-arrow-dropup></i></div></div></div></div></footer></div><div class=search-tool style=position:fixed;top:0;bottom:0;left:0;right:0;opacity:.95;background-color:#111;z-index:9999;display:none><input class="form-control search-content" id=search-content style=position:fixed;top:60px placeholder="文章标题 分类 标签 (L.E.R Space 站内搜索)"><div style=position:fixed;top:16px;right:16px><img src=/search/img/close.png id=close-btn></div></div><script src=/js/jquery.js></script><script src=/js/bundle.js></script><script src=/js/SmoothScroll.js></script><script src=/js/highlight.pack.js></script><script>hljs.initHighlightingOnLoad();</script><script src=/search/js/search.js></script><script src=/search/js/bootstrap3-typeahead.min.js></script><script src=/js/main.js></script><script>
  if (navigator.serviceWorker) {
    navigator.serviceWorker.register('/js/sw.js')
      .then(function(registration) {
      }).catch(function (err) {
      });
  }
</script><script>
  (function(){
    var bp = document.createElement('script');
    var curProtocol = window.location.protocol.split(':')[0];
    if (curProtocol === 'https') {
      bp.src = 'https://zz.bdstatic.com/linksubmit/push.js';
    }
    else {
      bp.src = 'http://push.zhanzhang.baidu.com/push.js';
    }
    var s = document.getElementsByTagName("script")[0];
    s.parentNode.insertBefore(bp, s);
  })();
</script><script>
    window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
    ga('create', 'UA-81922310-1', 'auto');
    ga('send', 'pageview');
    </script><script async src=//www.google-analytics.com/analytics.js></script><script>
    var _hmt = _hmt || [];
    (function() {
        var hm = document.createElement("script");
        hm.src = "//hm.baidu.com/hm.js?10782233f36489cdb8181f5e3166973d";
        var s = document.getElementsByTagName("script")[0]; 
        s.parentNode.insertBefore(hm, s);
    })();
    </script><script>_atrk_opts={atrk_acct:"JXtbq1Fx9f207i",domain:"rongyi.blog",dynamic:true};(function(){var as=document.createElement('script');as.type='text/javascript';as.async=true;as.src="https://certify-js.alexametrics.com/atrk.js";var s=document.getElementsByTagName('script')[0];s.parentNode.insertBefore(as,s);})();</script><noscript><img src="https://certify.alexametrics.com/atrk.gif?account=JXtbq1Fx9f207i" style=display:none height=1 width=1 alt></noscript><script src=//instant.page/1.1.0 type=module integrity=sha384-EwBObn5QAxP8f09iemwAJljc+sU+eUXeL9vSBw1eNmVarwhKk2F9vBEpaN9rsrtp></script>